### Method

# Xdp InputCaptureSession get_zones

#### Declaration [src]

    GList*
    xdp_input_capture_session_get_zones (
      XdpInputCaptureSession* session
    )

#### Description [src]

Obtains the current set of `XdpInputCaptureZone` objects.

The returned object is valid until the zones are invalidated by the `XdpInputCaptureSession::zones-changed` signal.

Unless the session is active, this function returns `NULL`.

#### Return value

Type: A list of `None`

The available zones. The caller must keep a reference to the list or the elements if used outside the immediate scope.

The returned data is owned by the instance.